Ruby master - Bug #4378

1.9.20Classi000000clonel 0000000000
02/07/2011 10:12 PM - r00101173 (yasuo tone)

Status: Closed

Priority: Normal

Assignee: yugui (Yuki Sonoda)

Target version: 1.9.3

ruby -v: ruby 1.9.2p136 (2010-12-25 revision Backport:
30365) [x86_64-linux]

Description

=begin

000000000oooooo

1.9.2000trunc00000000+1.9.1041.8.7000000000

foo = Class.new

def foo.foo() end

bar = foo.clone

bar.instance_eval {}

bar.foo #=> NoMethodError

(0 instance_eval 000000 bar.foo 000000000000
instance_evalllll00

def bar.bar() end

00000000ooooonooooooa

class << bar; end
=end

Related issues:

Related to Ruby master - Bug #5274 [ruby-dev:44460] Class [ clone [I Class [0...

Closed

09/05/2011

History

#1 - 02/10/2011 01:54 PM - yugui (Yuki Sonoda)
- Status changed from Open to Assigned

- Assignee set to yugui (Yuki Sonoda)

=begin

=end

#2 - 06/26/2011 05:43 PM - nahi (Hiroshi Nakamura)

- Target version set to 1.9.3

#3 - 04/08/2012 12:50 PM - wanabe (_ wanabe)
- Status changed from Assigned to Closed

- % Done changed from 0 to 100
